umbrello: types.Types Class Reference

umbrello 2.32.0 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
types.Types Class Reference

## Public Member Functions
def | __init__ ()
def | test ()

## Public Attributes
| instance_variable_bool_true
| instance_variable_bool_false
| instance_variable_int
| instance_variable_negative_int
| instance_variable_float
| instance_variable_negative_float
| instance_variable_string
| instance_variable_list
| instance_variable_list_params
| instance_variable_dict
| instance_variable_dict_params
| instance_variable_tuples
| instance_variable_tuple_params
| instance_variable_object
| instance_variable_object_type
| instance_variable_object_type_params

## Static Public Attributes
bool | class_variable_bool_true = True
bool | class_variable_bool_false = False
int | class_variable_int = 3
int | class_variable_negative_int = -54341
float | class_variable_float = 3.12334
float | class_variable_negative_float = -1.0876544
string | class_variable_string = "1234"
list | class_variable_list = []
list | class_variable_list_params = [1,2]
dictionary | class_variable_dict = {}
dictionary | class_variable_dict_params = {'a':1, 'b':2}
tuple | class_variable_tuple = ()
tuple | class_variable_tuple_params = (1,2,3)
| class_variable_object = myobject
| class_variable_object_type = ReferencedType()
| class_variable_object_type_params = ReferencedType(1,2)

## Constructor & Destructor Documentation

## ◆ __init__()

def types.Types.__init__ | ( |  | ) |

## Member Function Documentation

## ◆ test()

def types.Types.test | ( |  | ) |

## Member Data Documentation

## ◆ class_variable_bool_false

bool types.Types.class_variable_bool_false = False
| static

## ◆ class_variable_bool_true

bool types.Types.class_variable_bool_true = True
| static

## ◆ class_variable_dict

dictionary types.Types.class_variable_dict = {}
| static

## ◆ class_variable_dict_params

dictionary types.Types.class_variable_dict_params = {'a':1, 'b':2}
| static

## ◆ class_variable_float

float types.Types.class_variable_float = 3.12334
| static

## ◆ class_variable_int

int types.Types.class_variable_int = 3
| static

## ◆ class_variable_list

list types.Types.class_variable_list = []
| static

## ◆ class_variable_list_params

list types.Types.class_variable_list_params = [1,2]
| static

## ◆ class_variable_negative_float

float types.Types.class_variable_negative_float = -1.0876544
| static

## ◆ class_variable_negative_int

int types.Types.class_variable_negative_int = -54341
| static

## ◆ class_variable_object

types.Types.class_variable_object = myobject
| static

## ◆ class_variable_object_type

types.Types.class_variable_object_type = ReferencedType()
| static

## ◆ class_variable_object_type_params

types.Types.class_variable_object_type_params = ReferencedType(1,2)
| static

## ◆ class_variable_string

string types.Types.class_variable_string = "1234"
| static

## ◆ class_variable_tuple

tuple types.Types.class_variable_tuple = ()
| static

## ◆ class_variable_tuple_params

tuple types.Types.class_variable_tuple_params = (1,2,3)
| static

## ◆ instance_variable_bool_false

types.Types.instance_variable_bool_false

## ◆ instance_variable_bool_true

types.Types.instance_variable_bool_true

## ◆ instance_variable_dict

types.Types.instance_variable_dict

## ◆ instance_variable_dict_params

types.Types.instance_variable_dict_params

## ◆ instance_variable_float

types.Types.instance_variable_float

## ◆ instance_variable_int

types.Types.instance_variable_int

## ◆ instance_variable_list

types.Types.instance_variable_list

## ◆ instance_variable_list_params

types.Types.instance_variable_list_params

## ◆ instance_variable_negative_float

types.Types.instance_variable_negative_float

## ◆ instance_variable_negative_int

types.Types.instance_variable_negative_int

## ◆ instance_variable_object

types.Types.instance_variable_object

## ◆ instance_variable_object_type

types.Types.instance_variable_object_type

## ◆ instance_variable_object_type_params

types.Types.instance_variable_object_type_params

## ◆ instance_variable_string

types.Types.instance_variable_string

## ◆ instance_variable_tuple_params

types.Types.instance_variable_tuple_params

## ◆ instance_variable_tuples

types.Types.instance_variable_tuples

The documentation for this class was generated from the following file:

- test/import/python/types.py